Skip to content
Guides
API reference
stableapi_key:read

List API keys

Returns the API keys visible to the current user. Plaintext key values are never returned.

GET/v1/api-keys

Returns the API keys visible to the current user. Plaintext key values are never returned.

Authorization

bearerAuth
AuthorizationBearer <token>

OAuth2 access token issued by Ecomiq Auth.

In: header

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/api-keys"
[  {    "id": "string",    "name": "string",    "prefix": "string",    "keySuffix": "string",    "applicationUrl": null,    "isActive": true,    "isTestMode": true,    "expiresAt": null,    "lastUsedAt": null,    "scopes": [      "string"    ],    "allowedIps": [      "string"    ],    "createdOn": "2019-08-24T14:15:22Z",    "createdBy": null,    "userId": null  }]